import {Routes} from '@angular/router';
import {CitiesComponent} from './cities/cities.component';
import {UniversitiesComponent} from './universities/universities.component';
import {UnitesComponent} from './unites/unites.component';


export const BasicsRoutes: Routes = [{
    path: '',
    children: [{
      path: 'cities',
      component: CitiesComponent
    },
      {
      path: 'universities',
      component: UniversitiesComponent
    } ,
      {
        path: 'unities',
        component: UnitesComponent
      }
    ]
  }];
