import {Routes} from '@angular/router';
import {UsersComponent} from './users/users.component';
import {RolesComponent} from './roles/roles.component';
import {PermissionsComponent} from './permissions/permissions.component';
import {TypesComponent} from './types/types.component';


export const UserRoutes: Routes =
  [{
    path: '',
    children: [{
      path: 'users',
      component: UsersComponent
    }, {
      path: 'roles',
      component: RolesComponent
    }, {
      path: 'permissions',
      component: PermissionsComponent
    } ,
      {
        path: 'types',
        component: TypesComponent
      }
    ]
  }];
